petsc-3.6.2 2015-10-02
Report Typos and Errors

# MatSetValuesAdifor

Sets values computed with automatic differentiation into a matrix.

### Synopsis

    #include "petscmat.h"
    PetscErrorCode  MatSetValuesAdifor(Mat mat,PetscInt nl,void *v)

Not Collective

### Input Parameters

| mat | - the matrix
| nl | - leading dimension of v
| v | - the values compute with ADIFOR

### Notes

Must call MatSetColoring() before using this routine. Also this matrix must already have its nonzero pattern determined.

### See Also

MatSetOption(), MatAssemblyBegin(), MatAssemblyEnd(), MatSetValuesBlocked(), MatSetValuesLocal(),
MatSetValues(), MatSetColoring()

Level:developer
Location:src/mat/interface/matrix.c
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages